OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
DualAMDIntegrator Class Reference

DualAMDIntegrator implements a dual boost aMD integration algorithm. More...

Inheritance diagram for DualAMDIntegrator:

## Public Member Functions
def | __init__
| Create a DualAMDIntegrator. More...
def | getAlphaTotal
| Get the value of alpha for the total energy. More...
def | setAlphaTotal
| Set the value of alpha for the total energy. More...
def | getETotal
| Get the energy threshold E for the total energy. More...
def | setETotal
| Set the energy threshold E for the total energy. More...
def | getAlphaGroup
| Get the value of alpha for the boosted force group. More...
def | setAlphaGroup
| Set the value of alpha for the boosted force group. More...
def | getEGroup
| Get the energy threshold E for the boosted force group. More...
def | setEGroup
| Set the energy threshold E for the boosted force group. More...
def | getEffectiveEnergy
| Given the actual potential energy of the system, return the value of the effective potential. More...

## Detailed Description

DualAMDIntegrator implements a dual boost aMD integration algorithm.

This is similar to AMDIntegrator, but two different boosts are applied to the potential: one based on the total energy, and one based on the energy of a single force group (typically representing torsions).

For details, see Hamelberg et al., J. Chem. Phys. 127, 155102 (2007).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | dt,
|  |  | group,
|  |  | alphaTotal,
|  |  | ETotal,
|  |  | alphaGroup,
|  |  | EGroup
| ) |  |

Create a DualAMDIntegrator.

Parameters

  dt | (time) The integration time step to use
  group | (int) The force group to apply the second boost to
  alphaTotal | (energy) The alpha parameter to use for the total energy
  ETotal | (energy) The energy cutoff to use for the total energy
  alphaGroup | (energy) The alpha parameter to use for the boosted force group
  EGroup | (energy) The energy cutoff to use for the boosted force group

References CustomIntegrator.addComputeGlobal(), CustomIntegrator.addComputePerDof(), CustomIntegrator.addConstrainPositions(), CustomIntegrator.addGlobalVariable(), CustomIntegrator.addPerDofVariable(), and CustomIntegrator.addUpdateContextState().

## Member Function Documentation

def getAlphaGroup | ( |  | self | ) |

Get the value of alpha for the boosted force group.

References CustomIntegrator.getGlobalVariable().

Referenced by DualAMDIntegrator.getEffectiveEnergy().

def getAlphaTotal | ( |  | self | ) |

Get the value of alpha for the total energy.

References CustomIntegrator.getGlobalVariable().

Referenced by DualAMDIntegrator.getEffectiveEnergy().

def getEffectiveEnergy | ( |  | self,
|  |  | totalEnergy,
|  |  | groupEnergy
| ) |  |

Given the actual potential energy of the system, return the value of the effective potential.

Parameters

  totalEnergy | (energy): the actual potential energy of the whole system
  groupEnergy | (energy): the actual potential energy of the boosted force group

Returns
  the value of the effective potential

References AMDForceGroupIntegrator.getAlphaGroup(), DualAMDIntegrator.getAlphaGroup(), DualAMDIntegrator.getAlphaTotal(), AMDForceGroupIntegrator.getEGroup(), DualAMDIntegrator.getEGroup(), and DualAMDIntegrator.getETotal().

def getEGroup | ( |  | self | ) |

Get the energy threshold E for the boosted force group.

References CustomIntegrator.getGlobalVariable().

Referenced by DualAMDIntegrator.getEffectiveEnergy().

def getETotal | ( |  | self | ) |

Get the energy threshold E for the total energy.

References CustomIntegrator.getGlobalVariable().

Referenced by DualAMDIntegrator.getEffectiveEnergy().

def setAlphaGroup | ( |  | self,
|  |  | alpha
| ) |  |

Set the value of alpha for the boosted force group.

References CustomIntegrator.setGlobalVariable().

def setAlphaTotal | ( |  | self,
|  |  | alpha
| ) |  |

Set the value of alpha for the total energy.

References CustomIntegrator.setGlobalVariable().

def setEGroup | ( |  | self,
|  |  | E
| ) |  |

Set the energy threshold E for the boosted force group.

References CustomIntegrator.setGlobalVariable().

def setETotal | ( |  | self,
|  |  | E
| ) |  |

Set the energy threshold E for the total energy.

References CustomIntegrator.setGlobalVariable().

The documentation for this class was generated from the following file:

- amd.py